org.apache.hadoop.yarn.server.api.protocolrecords

## Class ReportNewCollectorInfoRequest

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.ReportNewCollectorInfoRequest

- Direct Known Subclasses:
    ReportNewCollectorInfoRequestPBImpl

      @InterfaceAudience.Private
      public abstract class ReportNewCollectorInfoRequest
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReportNewCollectorInfoRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<AppCollectorData>` | `getAppCollectorsList()`
    `static ReportNewCollectorInfoRequest` | `newInstance(org.apache.hadoop.yarn.api.records.ApplicationId id, String collectorAddr, org.apache.hadoop.yarn.api.records.Token token)`
    `static ReportNewCollectorInfoRequest` | `newInstance(List<AppCollectorData> appCollectorsList)`
    `abstract void` | `setAppCollectorsList(List<AppCollectorData> appCollectorsList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportNewCollectorInfoRequest

          public ReportNewCollectorInfoRequest()

  - ### Method Detail

    - #### newInstance

          public static ReportNewCollectorInfoRequest newInstance(List<AppCollectorData> appCollectorsList)

    - #### newInstance

          public static ReportNewCollectorInfoRequest newInstance(org.apache.hadoop.yarn.api.records.ApplicationId id,
                                                                  String collectorAddr,
                                                                  org.apache.hadoop.yarn.api.records.Token token)

    - #### getAppCollectorsList

          public abstract List<AppCollectorData> getAppCollectorsList()

    - #### setAppCollectorsList

          public abstract void setAppCollectorsList(List<AppCollectorData> appCollectorsList)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.